<ion-view title="Polls" ng-controller="pollEditCtrl">
  <ion-content>

    <div class="container" style="padding-top: 50px">
      <h3>{{poll.title}}</h3>

      <div class="col-sm-12">
        <table class="table table-bordered">
          <tr ng-repeat="(key, question) in poll.questions">
            <td>
              {{question.title}}
            </td>
            <td>
              <table class="table table-bordered">
                <tr>
                  <td ng-repeat="answer in question.answers">
                    {{answer}}
                  </td>
                </tr>
                <tr>
                  <td ng-repeat="votes in question.votes track by $index">
                    {{votes}}
                  </td>
                </tr>
              </table>
            </td>
            <td>
              <table class="table table table-bordered">
                <tr>
                  <td>Total</td>
                </tr>
                <tr>
                  <td>{{getTotal(key)}}</td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>

      <div class="row" ng-repeat="(key, question) in poll.questions">
        <div class="col-sm-12">
          <hr>

          <form class="form-horizontal">

            <div class="form-group">
              <label class="col-sm-2 control-label">Title:</label>
              <div class="col-sm-10">
                <input type="text" class="form-control" ng-model="question.title" ng-disabled="poll.done">
              </div>
            </div>

            <div class="form-group">
              <label class="col-sm-2 control-label">Description:</label>
              <div class="col-sm-10">
                <textarea type="text" rows="4" class="form-control" ng-model="question.description" ng-disabled="poll.done"></textarea>
              </div>
            </div>


            <div class="form-group">
              <label class="col-sm-2 control-label"></label>
              <div class="col-sm-10">
                <button class="form-control" ng-click="addAnswers(key)" ng-if="!poll.done">Add new answer</button>

                <ion-item ng-repeat="(id, name) in question.answers track by $index" ng-model="question.answers[id]">
                  {{name}}
                  <button class="btn btn btn-success ion-edit" ng-if="!poll.done" ng-click="editAnswer(key, id)"></button>
                  <button class="btn btn-danger ion-trash-a" ng-if="!poll.done" ng-click="deleteAnswer(key, id)"></button>
                </ion-item>

              </div>
            </div>

          </form>

        </div><!-- /.col -->
      </div><!-- /.row -->
    </div>

  </ion-content>

  <ion-footer-bar align-title="left" class="bar-calm" ng-if="!poll.done">
    <div class="buttons">
      <button class="button" ng-click="addQuestion()">Add Question</button>
      <button type="button" class="btn btn-success" ng-click="savePoll()">Save</button>
    </div>
  </ion-footer-bar>

</ion-view>
